Subject: Re: [PATCH net-next 0/2] net/smc: Spread workload over multiple cores

From: Tony Lu <[email-masked]>
Date: Thu, 27 Jan 2022 16:05:20 +0800

On Thu, Jan 27, 2022 at 08:18:48AM +0200, Leon Romanovsky wrote:
> On Thu, Jan 27, 2022 at 11:19:10AM +0800, Tony Lu wrote:
> > On Wed, Jan 26, 2022 at 11:29:16AM -0400, Jason Gunthorpe wrote:
> > > On Wed, Jan 26, 2022 at 09:01:39PM +0800, Tony Lu wrote:
> > > > Currently, SMC creates one CQ per IB device, and shares this cq among
> > > > all the QPs of links. Meanwhile, this CQ is always binded to the first
> > > > completion vector, the IRQ affinity of this vector binds to some CPU
> > > > core.
> > > 
> > > As we said in the RFC discussion this should be updated to use the
> > > proper core APIS, not re-implement them in a driver like this.
> > 
> > Thanks for your advice. As I replied in the RFC, I will start to do that
> > after a clear plan is determined.
> > 
> > Glad to hear your advice. 
> 
> Please do right thing from the beginning.
> 
> You are improving code from 2017 to be aligned with core code that
> exists from 2020.

Thanks for your reply. The implement of this patch set isn't a brand-new
feature, just existed codes and logics adjustment and recombination,
aims to solve an existed issue in real world. So I fixes it now.

The other thing is to align code to now with new API. I will do it
before a full discussion with Karsten.

Thank you,
Tony Lu